Bug 215015 - security/cryptopp Upgrade to 5.6.5
Summary: security/cryptopp Upgrade to 5.6.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-02 20:08 UTC by fcsk.aim
Modified: 2016-12-07 09:52 UTC (History)
1 user (show)

See Also:


Attachments
security/cryptopp 5.6.5 (15.57 KB, patch)
2016-12-04 10:37 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fcsk.aim 2016-12-02 20:08:38 UTC
cryptopp is now to  5.6.5 https://www.cryptopp.com  someone should upgrade this port and package.
Comment 1 Jason E. Hale freebsd_committer 2016-12-04 10:37:23 UTC
Created attachment 177650 [details]
security/cryptopp 5.6.5

Would you mind testing?
Comment 2 commit-hook freebsd_committer 2016-12-07 01:01:08 UTC
A commit references this bug:

Author: jhale
Date: Wed Dec  7 01:00:12 UTC 2016
New revision: 428022
URL: https://svnweb.freebsd.org/changeset/ports/428022

Log:
  - Update security/cryptopp to 5.6.5
  - Add LICENSE (BSL)
  - Add CPE data
  - Remove STATIC option and always install the shared library;
    no reason not to.
  - Remove GCC option and use USES=compiler framework
  - Add FULL_DEBUG option to address CVE-2016-7420 and add a warning if trying
    to use it. It will allow the asserts to be enabled which could be a
    security risk. The standard DEBUG option is now safe to use.
  - Add SIMD option for i386 and amd64 - requires a recent clang or gcc
  - Don't install the cryptest binary; it is really only used for regression
    testing, so only build it for the TEST_TARGET. It is useless without the
    data files anyways.
  - Take maintainership
  - Bump PORTREVISON on dependent ports due to shared library bump

  PR:		215015
  Reported by:	<fcsk.aim@gmail.com>
  MFH:		2016Q4
  Security:	eab68cff-bc0c-11e6-b2ca-001b3856973b

Changes:
  head/audio/clementine-player/Makefile
  head/deskutils/cdcat/Makefile
  head/multimedia/kvazaar/Makefile
  head/net-p2p/amule/Makefile
  head/net-p2p/amule-devel/Makefile
  head/security/cryptopp/Makefile
  head/security/cryptopp/distinfo
  head/security/cryptopp/files/patch-GNUmakefile
  head/security/cryptopp/files/patch-config.h
  head/security/cryptopp/files/patch-misc.h
  head/security/cryptopp/files/patch-nbtheory.cpp
  head/security/cryptopp/files/patch-wake.cpp
  head/security/cryptopp/pkg-plist
Comment 3 Jason E. Hale freebsd_committer 2016-12-07 01:07:48 UTC
Updated to 5.6.5.
Comment 4 commit-hook freebsd_committer 2016-12-07 09:52:27 UTC
A commit references this bug:

Author: jhale
Date: Wed Dec  7 09:51:28 UTC 2016
New revision: 428043
URL: https://svnweb.freebsd.org/changeset/ports/428043

Log:
  MFH: r425256 r427282 r427478 r428022

  Now builds on sparc64.

  Approved by:	portmgr (tier-2 blanket)

  Release this back to pool.

  Set library SONAME, this makes pkg correctly detect provided package
  functionality and fixes pkg check -d.

  PR:		214857
  Submitted by:	myself
  Approved by:	delphij no longer maintainer

  - Update security/cryptopp to 5.6.5
  - Add LICENSE (BSL)
  - Add CPE data
  - Remove STATIC option and always install the shared library;
    no reason not to.
  - Remove GCC option and use USES=compiler framework
  - Add FULL_DEBUG option to address CVE-2016-7420 and add a warning if trying
    to use it. It will allow the asserts to be enabled which could be a
    security risk. The standard DEBUG option is now safe to use.
  - Add SIMD option for i386 and amd64 - requires a recent clang or gcc
  - Don't install the cryptest binary; it is really only used for regression
    testing, so only build it for the TEST_TARGET. It is useless without the
    data files anyways.
  - Take maintainership
  - Bump PORTREVISON on dependent ports due to shared library bump

  PR:		215015
  Reported by:	<fcsk.aim@gmail.com>
  Security:	eab68cff-bc0c-11e6-b2ca-001b3856973b

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/audio/clementine-player/Makefile
  branches/2016Q4/deskutils/cdcat/Makefile
  branches/2016Q4/multimedia/kvazaar/Makefile
  branches/2016Q4/net-p2p/amule/Makefile
  branches/2016Q4/net-p2p/amule-devel/Makefile
  branches/2016Q4/security/cryptopp/Makefile
  branches/2016Q4/security/cryptopp/distinfo
  branches/2016Q4/security/cryptopp/files/patch-GNUmakefile
  branches/2016Q4/security/cryptopp/files/patch-config.h
  branches/2016Q4/security/cryptopp/files/patch-misc.h
  branches/2016Q4/security/cryptopp/files/patch-nbtheory.cpp
  branches/2016Q4/security/cryptopp/files/patch-wake.cpp
  branches/2016Q4/security/cryptopp/pkg-plist